#delim ;
version 13.1;
*
 Statistics from patient dataset produced using cprdutil.
*;

clear all;
set scheme rbn4mono;

*
 Input data
*;
use ./dta/patient, clear;
describe, full;

* Tabulations *;
tab obscalc, miss;
tab observed, miss;
tab entrystat observed, miss col;
tab exitstat observed, miss col;
tab entrystat if observed==1, miss;
tab exitstat if observed==1, miss;
summ entrydate, de format;
summ exitdate, de format;

*
 Scatter plot of exit date against entry date
*;
scatter exitdate entrydate, msize(1) || line entrydate entrydate, sort lcolor(gray) || ,
  legend(row(1) size(2)) by(observed)
  ylab(, labsize(2)) xlab(, labsize(2))
  ysize(5) xsize(5);
graph export figseq1.pdf, replace;
graph export figseq1.svg, replace;
more;

exit;
